/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-30
 * 描述            ：质量设计-钢种及物料(含内控标准)
1、针对钢管/管坯的产品才会存在该信息
2、表中的钢种数据来源于COM_MSC_GRADE，钢种数据与MSC_PLINE关联
3、制程与钢种向下形成工序的内控标准，数据来源与表COM_MSC_PROCESS，其中成分内控标准以钢种的成分内控为准（COM_MSC_GRADE）
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.impl;
import java.util.List;

import market.Com.vo.CommonPage;
import market.Com.vo.ResultModel;
import market.Qms.slmord.mapper.SlmOrdDesignMscPlPrcMapper;
import market.Qms.slmord.service.SlmOrdDesignMscPlPrcService;
import market.Qms.slmord.vo.SlmOrdDesignMscPlPrc;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;

@RemoteService(path="SlmOrdDesignMscPlPrcService")
public class SlmOrdDesignMscPlPrcServiceImpl extends BaseServiceImpl<SlmOrdDesignMscPlPrc,Object> implements SlmOrdDesignMscPlPrcService {

	public ResultModel GetOrdDesignMscPlPrc(CommonPage<SlmOrdDesignMscPlPrc> com){
		ResultModel rm=new ResultModel();
		try{
			List<SlmOrdDesignMscPlPrc> listMsc=this.getMapper(SlmOrdDesignMscPlPrcMapper.class).find(com.getObject(), 0, 0);
			rm.setData(listMsc);
			rm.setState("200");
		}catch(Exception ex){
			rm.setMsgInfo("获取技术评审制程工序信息失败："+ex.getMessage());
			rm.setState("500");
		}
		return rm;
	}

}
